## org.apache.myfaces.custom.schedule.renderer
Class ScheduleDelegatingRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.schedule.renderer.ScheduleDelegatingRenderer

public class ScheduleDelegatingRenderer
extends javax.faces.render.Renderer

Renderer for the Schedule component that delegates the actual rendering to a compact or detailed renderer, depending on the mode of the ScheduleModel

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$), Bruno Aranda (adaptation of Jurgen's code to myfaces)

Constructor Summary
`ScheduleDelegatingRenderer()`

Method Summary
`void` `decode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleDelegatingRenderer

    public ScheduleDelegatingRenderer()

Method Detail

### decode

    public void decode(javax.faces.context.FacesContext context,
                       javax.faces.component.UIComponent component)

  See Also:
    `Renderer.decode(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeBegin(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeChildren(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeEnd(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`